#
# spec file for package gaim (Version 0.67)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  audiofile gtk2-devel-packages libao libao-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel audiofile autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libao libao-devel libtool pango pango-devel perl pkgconfig rpm update-desktop-files

Name:         gaim
Summary:      Gaim is Compatible with the AOL Instant Messenger
Version:      0.67
Release:      94
License:      GPL
Group:        Productivity/Networking/AOLInstantMessenger
Conflicts:    gaim-applet
URL:          http://gaim.sf.net
Source:       %{name}-%{version}.tar.bz2
Patch:        gaim-0.67-secfix.diff
Patch1:       gaim-0.67-parseurl.diff
Patch2:       gaim-secfix-08-25.dif
Patch3:       gaim-long_url.patch
Patch24:      irc-escape1.patch
Patch25:      irc-escape2.patch
Patch26:      irc-escape3.patch
Patch27:      irc-escape4.patch
Patch28:      gaim_markup_strip_html.patch
Patch31:      gaim-0.58-can-2005-0472-woody.patch
Patch32:      gaim-gg.patch
Patch34:      oscar_malformed_filename_crash_fix_backport.patch
Patch35:      gaim_oldstatus_aim_away_message_substitution_buffer_overflow_fix_backport.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}

%description
Gaim allows you to talk to anyone using AOL's Instant Messenger service
(you can sign up at http://www.aim.aol.com).

It uses the TOC version of the AOL protocol, so your buddy list is
stored on AOL's servers and can be retrieved from anywhere.

It contains many of the same features as AOL's IM client while at the
same time incorporating many new features.

Gaim also contains a multiple connection feature implemented through
protocol plugins.  These plugins allow you to use gaim to connect to
other chat services such as Yahoo!, ICQ, MSN, and IRC.



Authors:
--------
    Eric Warmenhoven <warmenhoven@yahoo.com>
    Jim Duchek <jimduchek@ou.edu>
    Mark Spencer <markster@marko.net>
    Rob Flynn <rflynn@blueridge.net>

%prep
%setup
%patch
%patch1
%patch2 -p1
%patch3
%patch24
%patch25
%patch26
%patch27
%patch28
%patch31
%patch32
%patch34
%patch35

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=%{prefix} \
		--libdir=%{prefix}/%_lib \
		--sysconfdir=%{sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
%{find_lang} %{name}
%suse_update_desktop_file %name InstantMessaging

%clean
rm -rf $RPM_BUILD_ROOT;

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog plugins/PERL-HOWTO HACKING
%doc NEWS COPYING AUTHORS doc/FAQ README 
%doc doc/*.txt doc/CREDITS
%{prefix}/bin/*
%{prefix}/%_lib/*
%{prefix}/share/applications/gaim.desktop
%{prefix}/share/pixmaps/gaim.png
%{prefix}/share/pixmaps/gaim/
%{prefix}/share/sounds/gaim/
%{prefix}/include/gaim-remote
%{prefix}/man/man1/*

%changelog -n gaim
* Thu Sep 01 2005 - gekker@suse.de
- Added utf8_first for malformed filename crash fix (#112658).
* Thu Aug 11 2005 - sbrabec@suse.cz
- Added gaim_utf8_salvage() for malformed filename crash fix
  (#102961).
* Tue Aug 09 2005 - sbrabec@suse.cz
- Fixed AIM/ICQ malformed filename crash (#102961).
- Fixed AIM/ICQ away message buffer overflow (#102961).
* Fri Jul 22 2005 - sbrabec@suse.cz
- Fixed Gadu-Gadu signedness errors (#97408).
* Wed Jun 15 2005 - sbrabec@suse.cz
- Fixed IRC DoS arbitrary markup injection (#66609, CAN-2005-0966).
  http://gaim.sourceforge.net/security/?id=14
  (4 patches)
- Fixed malformed HTML DoS (#66609, CAN-2005-0965).
  http://gaim.sourceforge.net/security/?id=13
- Fixed malformed SNAC packet AIM/ICQ DoS (#66609, CAN-2005-0472).
  http://gaim.sourceforge.net/security/?id=10
* Tue May 10 2005 - sbrabec@suse.cz
- Fixed URL buffer overflow (#82865, CAN-2005-1261).
* Tue Aug 31 2004 - hhetter@suse.de
- added security patch for
  CAN-2004-0754, CAN-2004-0784, CAN-2004-0785
  (Bugzilla #44194)
* Mon Feb 02 2004 - mmj@suse.de
- Fix insecure URL parsing [#34228]
* Wed Jan 28 2004 - mmj@suse.de
- Correct the patch
* Thu Jan 22 2004 - mmj@suse.de
- Close security holes in advisory from Stefan Esser [#33991]
* Fri Aug 15 2003 - mmj@suse.de
- Update to 0.67
* Tue Aug 05 2003 - adrian@suse.de
- add InstantMessaging to Categories
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 11 2003 - mmj@suse.de
- Use find_lang macro
- Own all dirs
* Mon Jun 02 2003 - mmj@suse.de
- Update to 0.64:
   Buddy list sorting in buddy list preferences
   Improved debug window with timestamps and pause buttons
   New core/ui split notification and request APIs
   New mail notification dialog
   Several bug fixes in MSN
   Conversation window buddy
   icon bugs were fixed
* Mon May 19 2003 - mmj@suse.de
- Update to 0.63 including:
   A rewrite of the plugin API. Plugin authors will need to change their
   code based off the changes found in other plugins.
   Perl script support is now provided in the perl plugin.
   Debugging is core/ui split, and has a new API with support for
   debug levels and categories.
   Support for adding chats to your buddy list.
   MSN protocol plugin was rewritten, has experimental buddy icon
   support, and MSN Mobile support.
   Translation updates.
   Buddy list speed enhancements
   Napster protocol updates
* Wed May 14 2003 - mmj@suse.de
- Package forgotten files
* Mon Apr 28 2003 - mmj@suse.de
- Update to 0.62 which mostly is a bugfix release like 0.61
* Sun Apr 06 2003 - mmj@suse.de
- Update to 0.60 which is the first official release with gtk2
* Thu Apr 03 2003 - mmj@suse.de
- Update to the gaim CVS version which uses gtk2
- Use %%_lib
* Thu Mar 20 2003 - mmj@suse.de
- Update to 0.59.9 which is a bugfix release
* Wed Jan 29 2003 - mmj@suse.de
- Update to 0.59.8 which fixes Yahoo! support and rips out gtk2
  completely.
* Sat Jan 04 2003 - mmj@suse.de
- Update to 0.59.7 which is a bugfixing release
* Tue Nov 19 2002 - mmj@suse.de
- Update to 0.59.6 which fixed several bugs
* Tue Oct 22 2002 - ro@suse.de
- fix build with current auto-tools
- remove zh_TW translations (won't pass current gettext)
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Sep 16 2002 - mmj@suse.de
- Update to 0.59.3 which includes mainly bugfixes. It obsoleted the
  three patches we had for the older version.
* Mon Sep 02 2002 - mmj@suse.de
- Add patch to fix manual browser selection security issue.
* Tue Aug 20 2002 - mmj@suse.de
- Remove gaim-applet, since GNOME1 was dropped.
- Fix build for perl 5.8 with threads. Thanks mls.
* Wed Jul 10 2002 - mmj@suse.de
- Update to 0.59 which includes translations and bugfixes
  * Translations
  * Squashed a bug in buddy right-click menu handling
  that crashed Gaim.  In the process: found and eliminated some
  memory leaks.
  * Fixed a significant applet leak
  * Conversation struct has pointer to toolbar
  * Zephyr fixes
  * Aliases in buddy ticker
  * Perl scripts can play Gaim sounds
  * Internal sounds can be played by commands
  * Fixed MSN "Unkown Error Code", "Already there", and
  "Already in opposite list" errors
  * Changed "Play sound" button to "Mute" button
  * You can now have "reserved" chars in IM and proxy passwords
  * Jabber fixes and improvements
  * Chat room buddy lists are now sorted independent of case
  * Added capability for protocol-specific edit buddy menu entries
  * Gaim can now handle messages from Mac ICQ and Miranda ICQ
  * Added Mozilla to browser options and changed KFM to Konqueror.
  * Can now set the server and port for MSN and Napster
  * E-mail addresses are no longer truncated when there is a '.' at
  the end.
* Thu May 16 2002 - mmj@suse.de
- Update to 0.58 which includes:
  * Translations
  * Better applet transparency
  * Get Info from menu multiple-account-aware
  * Hide and unhide functions for the filectl plugin.
  * Self-aliasing from the account editor.
  * OSCAR bugfixes
  * Jabber bugfixes
  * Bug-fix for potential buffer overflow in Jabber plugin.
  * Tempfiles used for secure MSN/HotMail login (added in
  0.57) are now themselves created securely.
* Tue May 07 2002 - mmj@suse.de
- Update to 0.57 which includes:
  * New authorization method for Yahoo!
  * Polish, Finnish, Danish, Japanese translation updated
  * Jabber improvements
  * More keyboard shortcuts
  * Secure hotmail login for MSN
* Mon Apr 15 2002 - mmj@suse.de
- Update to 0.56 which includes:
  * Translation updates
  * Shell-like send history binded to Ctrl-Up and Ctrl-Down
  * libjabber upgraded to most recent stable version
  * Buddylist looks a little better
  * Fixed MSN privacy settings
  * Group deletion fix
  * Alias/Group syncronization for Jabber
  * Fixed broken signal handling in gdm-started GNOME sessions
  * Oscar group syncronization
  * ICQ Authorization via Oscar
* Wed Apr 03 2002 - ro@suse.de
- up to 0.55
- build with latest automake/autconf
* Wed Mar 06 2002 - mem@suse.de
-Update 0.53
* Fri Feb 15 2002 - ro@suse.de
- changed neededforbuild <kdelibs3-artsd> to <arts arts-devel>
* Fri Feb 08 2002 - hhetter@suse.de
- compile with CFLAGS for /opt/gnome/include
* Tue Jan 22 2002 - ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Wed Dec 19 2001 - mem@suse.de
- Update to 0.50
* Wed Dec 05 2001 - mem@suse.de
- Update to 0.49
* Mon Nov 19 2001 - mem@suse.de
- Update to 0.48
* Tue Nov 06 2001 - mem@suse.de
- update to 0.47
- add 'libtoolize --force', 'aclocal -I m4', 'autoheader'
  'automake -a', and 'autoconf' to make it build
- fix list of %%doc files
- remove --enable-distrib (doesn't exist anymore)
- add --enable-panel when building applet version
* Fri Sep 07 2001 - grimmer@suse.de
- Update to 0.43
- now compile the standalone application with aRts support
* Wed Apr 04 2001 - grimmer@suse.de
- Update to 0.11.0pre9
- added subpackage "gaim-applet" which Conflicts with main package
- specfile fixes (taken over from original spec file)
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Nov 16 2000 - grimmer@suse.de
- new package (version 0.10.3)
